org.apache.fop.layoutmgr

## Class Position

- java.lang.Object
- - org.apache.fop.layoutmgr.Position

- Direct Known Subclasses:
    BlockStackingLayoutManager.MappingPosition, LeafPosition, ListItemLayoutManager.ListItemPosition, NonLeafPosition, SpaceResolver.SpaceHandlingBreakPosition, SpaceResolver.SpaceHandlingPosition

      public class Position
      extends java.lang.Object

  A position.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Position(LayoutManager lm)` Construct a position.
    `Position(LayoutManager lm, int index)` Construct a position.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `generatesAreas()`
    `int` | `getIndex()` Returns the index of this position in the sequence of Position elements.
    `LayoutManager` | `getLM()`
    `LayoutManager` | `getLM(int depth)`
    `Position` | `getPosition()` Overridden by NonLeafPosition to return the Position of its child LM.
    `Position` | `getPosition(int depth)` Overridden by NonLeafPosition to return the Position of its child LM.
    `protected java.lang.String` | `getShortLMName()`
    `void` | `setIndex(int value)` Sets the index of this position in the sequence of Position elements.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Position

          public Position(LayoutManager lm)

      Construct a position.
      Parameters:
        `lm` - the associated layout manager

    - #### Position

          public Position(LayoutManager lm,
                          int index)

      Construct a position.
      Parameters:
        `lm` - the associated layout manager
        `index` - the index

  - ### Method Detail

    - #### getLM

          public LayoutManager getLM()

      Returns:
        associated layout manager

    - #### getLM

          public LayoutManager getLM(int depth)

      Parameters:
        `depth` - the depth at which the LM in this position is found
      Returns:
        associated layout manager

    - #### getPosition

          public Position getPosition()

      Overridden by NonLeafPosition to return the Position of its child LM.
      Returns:
        a position or null

    - #### getPosition

          public Position getPosition(int depth)

      Overridden by NonLeafPosition to return the Position of its child LM.
      Parameters:
        `depth` - the depth at which the position in this position is found
      Returns:
        a position or null

    - #### generatesAreas

          public boolean generatesAreas()

      Returns:
        true if generates areas

    - #### setIndex

          public void setIndex(int value)

      Sets the index of this position in the sequence of Position elements.
      Parameters:
        `value` - this position's index

    - #### getIndex

          public int getIndex()

      Returns the index of this position in the sequence of Position elements.
      Returns:
        the index of this position in the sequence of Position elements

    - #### getShortLMName

          protected java.lang.String getShortLMName()

      Returns:
        short name of associated layout manager

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.